Loading...
Searching...
No Matches
Opm::data::GroupConstraints Struct Reference

## Public Member Functions

template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
bool | operator== (const GroupConstraints &other) const
GroupConstraints & | set (Opm::Group::ProductionCMode cpc, Opm::Group::InjectionCMode cgic, Opm::Group::InjectionCMode cwic)
void | init_json (Json::JsonObject &json_data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GroupConstraints | serializationTestObject ()

## Public Attributes

Opm::Group::ProductionCMode | currentProdConstraint
Opm::Group::InjectionCMode | currentGasInjectionConstraint
Opm::Group::InjectionCMode | currentWaterInjectionConstraint

The documentation for this struct was generated from the following file:

- opm/output/data/Groups.hpp